package com.example.elbuenopeso.adapters

import android.content.Context
import android.database.Cursor
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.CursorAdapter
import android.widget.ImageView
import android.widget.TextView
import com.example.elbuenopeso.R
import com.example.elbuenopeso.database.DBHelper
import

class DbAdapter(context: Context, c: Cursor, layout: Int): CursorAdapter(context, c) {
    val item_layout = layout
    override fun newView(context: Context, cursor: Cursor, viewGroup: ViewGroup): View {
        return LayoutInflater.from(context).inflate(item_layout, viewGroup, false);
    }

    override fun bindView(view: View, context: Context, cursor: Cursor) {
        val titleTextView: TextView = view.findViewById(R.id.itemListViewTitleView)
        val addressTextView: TextView = view.findViewById(R.id.itemListViewTextView)
        val imageView: ImageView = view.findViewById(R.id.itemListViewImageView)
        val prixView: TextView = view.findViewById(R.id.itemListViewPrixView)

        val id: String = cursor.getString(cursor.getColumnIndexOrThrow(DBHelper._ID))
        val title: String = cursor.getString(cursor.getColumnIndexOrThrow(DBHelper.TITLE))
        val address: String = cursor.getString(cursor.getColumnIndexOrThrow(DBHelper.ADDRESS))
        val prix: Double = cursor.getDouble(cursor.getColumnIndexOrThrow(DBHelper.PRIX.toString()))
        val image: String = cursor.getString(cursor.getColumnIndexOrThrow(DBHelper.IMAGE))

        titleTextView.setText(title)
        addressTextView.setText(address)
        prixView.setText(prix.toString())

        //with(Glide)
        //TODO: trouver une alternative !!!
    }

}