package com.example.elbuenopeso.database

import android.content.Context
import android.database.sqlite.SQLiteDatabase
import android.database.sqlite.SQLiteOpenHelper
import com.example.elbuenopeso.models.AdModel

class DBHelper(context: Context) : SQLiteOpenHelper(context, DB_NAME, null, DB_VERSION) {
    companion object {
        const val TABLE_NAME = "publication_table"
        const val _ID = "unID"
        const val TITLE = "Mur en briques"
        const val ADDRESS = "5 Rue de Monsieur Spi"
        const val IMAGE = "theURLblablabla"
        const val PRIX = 25.00

        private const val DB_NAME = "LEBONCOIN.DB"
        private const val DB_VERSION = 1
        private val CREATE_TABLE = "create table $TABLE_NAME ($_ID INTEGER PRIMARY KEY AUTOINCREMENT, $TITLE TEXT NOT NULL, $ADDRESS TEXT, $IMAGE TEXT);"
    }

    override fun onCreate(db: SQLiteDatabase) {
        db.execSQL(CREATE_TABLE)
    }

    override fun onUpgrade(db: SQLiteDatabase, oldVersion: Int, newVersion: Int) {
        db.execSQL("DROP TABLE IF EXISTS $TABLE_NAME")
        onCreate(db)
    }

    fun getById(id: Int): AdModel? {
        val db = this.writableDatabase
        val query = "SELECT * FROM $TABLE_NAME where $_ID=?"
        val data = db.rawQuery(query, arrayOf(id.toString()))
        if (data.moveToFirst()) {
            val title = data.getString(data.getColumnIndexOrThrow(TITLE))
            val address = data.getString(data.getColumnIndexOrThrow(ADDRESS))
            val image = data.getString(data.getColumnIndexOrThrow(IMAGE))
            val prix = data.getDouble(data.getColumnIndexOrThrow(PRIX.toString()))
            data.close()
            return AdModel(title, address, image, prix)
        } else {
            data.close()
            return null
        }
    }
}

